Crazy Eddies GUI System: CEGUI::ProgressBar Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# CEGUI::ProgressBar Class Reference

Base class for progress bars. More...

Inheritance diagram for CEGUI::ProgressBar:

[legend]
Collaboration diagram for CEGUI::ProgressBar:

[legend]
List of all members.

## Public Member Functions
float | getProgress (void) const
| return the current progress value
float | getStep (void) const
| return the current step size
void | setProgress (float progress)
| set the current progress.
void | setStepSize (float step_val)
| set the size of the 'step' in percentage points (default is 0.01f or 1%).
void | step (void)
| cause the progress to step
void | adjustProgress (float delta)
| Modify the progress level by a specified delta.
| ProgressBar (const String &type, const String &name)
| Constructor for ProgressBar class.
virtual | ~ProgressBar (void)
| Destructor for ProgressBar.
## Static Public Attributes
static const String | EventNamespace
| Namespace for global events.
static const String | EventProgressChanged
| Event fired whenever the progress value changes.
static const String | EventProgressDone
| Event fired when the progress bar reaches 100%.
## Protected Member Functions
void | addProgressBarEvents (void)
| Add progress bar specific events to the window.
virtual bool | testClassName_impl (const String &class_name) const
| Return whether this window was inherited from the given class name at some point in the inheritance heirarchy.
virtual void | onProgressChanged (WindowEventArgs &e)
| event triggered when progress changes
virtual void | onProgressDone (WindowEventArgs &e)
| event triggered when progress reaches 100%
## Protected Attributes
float | d_progress
| current progress (from 0.0f to 1.0f)
float | d_step
| amount to 'step' progress by on a call to step()

## Detailed Description

Base class for progress bars.

## Member Function Documentation

void CEGUI::ProgressBar::adjustProgress | ( | float | delta | ) | `[inline]`

  | Modify the progress level by a specified delta. Parameters:
  | delta | amount to adjust the progress by. Whatever this value is, the progress of the bar will be kept within the range: 0.0f <= progress <= 1.0f.
Returns: Nothing.

void CEGUI::ProgressBar::setProgress | ( | float | progress | ) |

  | set the current progress. Parameters:
  | progress | The level of progress to set. If this value is >1.0f (100%) progress will be limited to 1.0f.
Returns: Nothing.

void CEGUI::ProgressBar::setStepSize | ( | float | step_val | ) | `[inline]`

  | set the size of the 'step' in percentage points (default is 0.01f or 1%). Parameters:
  | step | Amount to increase the progress by each time the step method is called.
Returns: Nothing.

void CEGUI::ProgressBar::step | ( | void |  | ) | `[inline]`

| cause the progress to step The amount the progress bar will step can be changed by calling the setStepSize method. The default step size is 0.01f which is equal to 1%. Returns: Nothing.

virtual bool CEGUI::ProgressBar::testClassName_impl | ( | const String & | class_name | ) | const`[inline, protected, virtual]`

  | Return whether this window was inherited from the given class name at some point in the inheritance heirarchy. Parameters:
  | class_name | The class name that is to be checked.
Returns: true if this window was inherited from class_name. false if not. Reimplemented from CEGUI::Window.